import request from '@/utils/request'

// 确认在线分析仪
export function handleConfirmAnalyzer(data) {
  return request({
    url: '/pssr/analyzer/confirmAnalyzer',
    method: 'put',
    data: data
  })
}

// 驳回在线分析仪
export function handleTurnDownAnalyzer(data) {
  return request({
    url: '/pssr/analyzer/turnDownAnalyzer',
    method: 'put',
    data: data
  })
}

// 查询在线分析仪列表
export function listAnalyzer(query) {
  return request({
    url: '/pssr/analyzer/list',
    method: 'get',
    params: query
  })
}

// 查询在线分析仪详细
export function getAnalyzer(id) {
  return request({
    url: '/pssr/analyzer/' + id,
    method: 'get'
  })
}

// 新增在线分析仪
export function addAnalyzer(data) {
  return request({
    url: '/pssr/analyzer',
    method: 'post',
    data: data
  })
}

// 修改在线分析仪
export function updateAnalyzer(data) {
  return request({
    url: '/pssr/analyzer',
    method: 'put',
    data: data
  })
}

//
export function updateAnalyzerBatch(data) {
  return request({
    url: '/pssr/analyzer/editBatch',
    method: 'put',
    data: data
  })
}


// 删除在线分析仪
export function delAnalyzer(id) {
  return request({
    url: '/pssr/analyzer/' + id,
    method: 'delete'
  })
}

// 导出在线分析仪
export function exportAnalyzer(query) {
  return request({
    url: '/pssr/analyzer/export',
    method: 'get',
    params: query
  })
}
